cleaning class
[fai-configs.git] / scripts / GRUB / 20-initramfs
1 #! /bin/bash
2 # support for GRUB version 1 (0.97)
3
4 error=0 ; trap "error=$((error|1))" ERR
5
6 not_up2date() {
7   if [ $# -eq 0 ] ; then
8     echo "No package name given!"
9     return 127
10   fi
11
12   egrep -q "(^Unpacking $1 |^Unpacking replacement $1 )" $LOGDIR/*.log
13   return $?
14 }
15
16 if [ `not_up2date lvm2` -o `not_up2date mdadm` ] ; then
17   $ROOTCMD update-initramfs -k all -u
18 fi
19
20
21 exit $error
22